// Скрипт для зачётного класса 1 первого урока (01z1.htm)
// Задания

// Постановки задач
var SetTasks = new Array(
'Компьютерная сеть:',
'Локальная сеть:',
'Глобальная сеть:',
'Топология сети:',
'Интернет:',
'Сервер:',
'Клиент:',
'Сервер Интернета:',
'Сервер локальной сети:',
'Рабочая станция:',
'Сетевой протокол:',
'Две основные причины надёжности Интернета:',
'Сетевой адаптер:',
'Модем:'
                     );

// Варианты
var Variants = new Array(
  new Array(
'множество компьютеров внутри одного предприятия',
'множество компьютеров внутри одного здания',
'множество компьютеров на большом географическом пространстве',
'множество компьютеров по всему миру',
'множество компьютеров, соединённых каналами связи'
           ),

  new Array(
'компьютерная сеть на небольшой территории',
'компьютерная сеть на большом географическом пространстве',
'множество компьютеров на небольшой территории',
'множество компьютеров на большом географическом пространстве'
           ),

  new Array(
'компьютерная сеть на небольшой территории',
'компьютерная сеть на большом географическом пространстве',
'множество компьютеров на небольшой территории',
'множество компьютеров на большом географическом пространстве'
           ),

  new Array(
'способ соединения компьютеров в сеть',
'количество каналов связи компьютерной сети',
'тип каналов связи компьютерной сети',
'скоростные характеристики компьютерной сети'
           ),

  new Array(
'локальная сеть',
'глобальная сеть',
'международная сеть',
'компьютерная сеть',
'сеть ARPANET',
'мировая сеть с выделенным управляющим сервером'
           ),

  new Array(
'организация, поставщик сетевых услуг',
'компьютер, обслуживающий запросы клиентов',
'компьютер в сети',
'рядовой компьютер в сети'
           ),

  new Array(
'сетевой адаптер',
'компьютер, обслуживающий запросы клиентов',
'компьютер в сети',
'рядовой компьютер в сети'
           ),

  new Array(
'сервер, связанный с другими серверами Интернета',
'сервер, управляющий работой Интернета',
'компьютер, работающий по протоколу Интернета',
'компьютер, управляющий работой сервисной станции'
           ),

  new Array(
'компьютер, связанный с другими компьютерами сети',
'компьютер локальной сети',
'компьютер, обслуживающий запросы клиентов локальной сети'
           ),

  new Array(
'компьютер, управляющий работой локальной сети',
'рядовой компьютер локальной сети',
'пункт обслуживания компьютеров'
           ),

  new Array(
'правила передачи данных в сети',
'правила работы пользователей сети',
'отчёт о сетевой активности компьютеров',
'отчет о сетевой активности компьютерной сети'
           ),

  new Array(
'равноправие всех узлов',
'наличие единого управляющего центра',
'разветвлённые связи',
'дублирование информации',
'защита от вирусов'
           ),

  new Array(
'руководство по работе в сети',
'тренажёр по работе в сети',
'преобразователь сигналов',
'ускоритель сигналов'
           ),

  new Array(
'телефонный аппарат, подключённый к компьютеру',
'сетевой адаптер',
'преобразователь сигналов',
'устройство, для подключения компьютера к телефонной линии'
           )

                        );

// Ответы
var Answers =  new Array(
  new Array(
false,
false,
false,
false,
true
           ),

  new Array(
true,
false,
false,
false
           ),

  new Array(
false,
true,
false,
false
           ),

  new Array(
true,
false,
false,
false
           ),

  new Array(
false,
true,
true,
true,
false,
false
           ),

  new Array(
false,
true,
true,
false
           ),

  new Array(
false,
false,
true,
true
           ),

  new Array(
true,
false,
true,
false
           ),

  new Array(
true,
true,
true
           ),

  new Array(
false,
true,
false
           ),

  new Array(
true,
false,
false,
false
           ),

  new Array(
true,
false,
true,
false,
false
           ),

  new Array(
false,
false,
true,
false
           ),

  new Array(
false,
true,
true,
true
           )

               );



//-----------------------------
// Построение зачетного класса
//-----------------------------
function ShowZRU(teach)
{
  var i;
  var str = '<P>Нажмите кнопку <SPAN class=mark>Сброс</SPAN>, затем приступайте к решению.';
  str += '<P><FORM name=exam><P><IMG src=../pic/clear.gif';
  str += ' width=113 height=41 border=0 alt=Сброс';
  str += ' onmouseup   ="room.Ini()"';
  str += ' onmousedown ="this.src=\'../pic/clear2.gif\'"';
  str += ' onmouseover ="this.src=\'../pic/clear1.gif\'"';
  str += ' onmouseout  ="this.src=\'../pic/clear.gif\'">';

  // Построение заданий
  // Флажки
  for (i=0; i<SetTasks.length; i++)
    str += ZFlagRU(teach, i, SetTasks[i], Variants[i], Answers[i]);

  str +='<P>Чтобы увидеть результат работы, нажмите кнопку <SPAN class=mark>Оценка</SPAN>.';
  str +='<P><IMG src=../pic/bonus.gif width=113 height=41';
  str +=' border=0 alt=Оценка';
  str +=' onmouseup   ="room.Bonus()"';
  str +=' onmousedown ="this.src=\'../pic/bonus2.gif\'"';
  str +=' onmouseover ="this.src=\'../pic/bonus1.gif\'"';
  str +=' onmouseout  ="this.src=\'../pic/bonus.gif\'">';
  str +='</FORM>';

  document.write(str);
  room = new CheckTasks(SetTasks.length,exam);
  //room = new CheckTasks(SetTasks.length,exam);
}
